diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 3354f27..5fe0d62 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -32200,7 +32200,6 @@ recurrence   specially compile recurrence relations     on
 
  The current setting is indicated.
 
-\end{verbatim}
 \defdollar{compileDontDefineFunctions}
 \begin{chunk}{initvars}
 (defvar |$compileDontDefineFunctions| t
@@ -36148,6 +36147,7 @@ which, because ``message'' is a TREE, generates the recursive call:
 \end{verbatim}
 The ``autoload'' subtree contains a FUNCTION called 
 printLoadMessages, which gets called with \verb|%describe%|
+
 \calls{set1}{displaySetVariableSettings}
 \calls{set1}{seq}
 \calls{set1}{exit}
@@ -39111,6 +39111,7 @@ untraceDomainConstructor,keepTraced?}
 \end{chunk}
 \defun{isSharpVarWithNum}{Identifier beginning with a sharpsign-number?}
 This tests if x is an identifier beginning with \verb|#| followed by a number.
+
 \calls{isSharpVarWithNum}{isSharpVar}
 \calls{isSharpVarWithNum}{pname}
 \calls{isSharpVarWithNum}{qcsize}
@@ -39136,6 +39137,7 @@ This tests if x is an identifier beginning with \verb|#| followed by a number.
 
 \defun{isSharpVar}{Identifier beginning with a sharpsign?}
 This tests if x is an identifier beginning with \verb|#|
+
 \calls{isSharpVar}{identp}
 \begin{chunk}{defun isSharpVar}
 (defun |isSharpVar| (x)
@@ -40306,7 +40308,8 @@ Takes a parsed, unabbreviated type and evaluates it, replacing
 type valued variables with their values, and calling bottomUp
 on non-type valued arguemnts to the constructor
 and finally checking to see whether the type satisfies the
-conditions of its modemap
+conditions of its modemap.
+
 \calls{evaluateType}{isDomainValuedVariable}
 \calls{evaluateType}{qcar}
 \calls{evaluateType}{qcdr}
@@ -40385,7 +40388,8 @@ conditions of its modemap
 \end{chunk}
 
 \defun{evaluateType1}{Eval args passed to a constructor}
-Evaluates the arguments passed to a constructor
+Evaluates the arguments passed to a constructor.
+
 \calls{evaluateType1}{constructor?}
 \calls{evaluateType1}{getConstructorSignature}
 \calls{evaluateType1}{throwEvalTypeMsg}
@@ -40490,7 +40494,8 @@ Evaluates the arguments passed to a constructor
 \end{chunk}
 
 \defun{evaluateSignature}{evaluateSignature}
-Calls evaluateType on a signature
+Calls evaluateType on a signature.
+
 \calls{evaluateSignature}{evaluateType}
 \begin{chunk}{defun evaluateSignature}
 (defun |evaluateSignature| (sig)
@@ -41452,7 +41457,8 @@ in names that contains any of the strings in the patterns
 The argument names and patterns are lists of strings.
 The argument fn is something like CAR or CADR
 This returns a list of strings in names that contains any of the strings
-in patterns
+in patterns.
+
 \calls{filterListOfStringsWithFn}{satisfiesRegularExpressions}
 \begin{chunk}{defun filterListOfStringsWithFn}
 (defun |filterListOfStringsWithFn| (patterns names fn)
@@ -41553,7 +41559,8 @@ in patterns
 
 \defunsec{apropos}{Display all operation names containing the fragment}
 Argument l is a list of operation name fragments.
-This displays all operation names containing these fragments
+This displays all operation names containing these fragments.
+
 \calls{apropos}{allOperations}
 \calls{apropos}{filterListOfStrings}
 \calls{apropos}{seq}
@@ -41865,7 +41872,8 @@ There are several special modes used in these functions:
 
 \defun{replaceSharps}{replaceSharps}
 Replaces all sharps in x by the arguments of domain d.
-Replaces all replaces the triangle variables
+Replaces all replaces the triangle variables.
+
 \calls{replaceSharps}{subCopy}
 \refsdollar{replaceSharps}{TriangleVariableList}
 \refsdollar{replaceSharps}{FormalMapVariableList}
@@ -41884,7 +41892,8 @@ Replaces all replaces the triangle variables
 \end{chunk}
 
 \defun{isDomainValuedVariable}{isDomainValuedVariable}
-Returns the value of form if form is a variable with a type value
+Returns the value of form if form is a variable with a type value.
+
 \calls{isDomainValuedVariable}{identp}
 \calls{isDomainValuedVariable}{get}
 \calls{isDomainValuedVariable}{member}
@@ -42502,7 +42511,8 @@ The IO state manipulation routines assume that
 \defun{specialChar}{Look up a special character code for a symbol}
 This function looks up a symbol in \verb|$specialCharacterAlist|, 
 gets the index into the EBCDIC table, and returns the appropriate character. 
-\tpdhere{Make this more international, not EBCDIC}
+\tpdhere{Make this more international, not EBCDIC}.
+
 \calls{specialChar}{ifcdr}
 \calls{specialChar}{assq}
 \usesdollar{specialChar}{specialCharacters}
@@ -43225,7 +43235,7 @@ This is indexed by (domain . category)
 
 \end{chunk}
 
-\defun{interpOpen}{Open the interp database}
+\defun{interpopen}{Open the interp database}
 Format of an entry in interp.daase:
 \begin{verbatim}
   (constructor-name
@@ -43244,14 +43254,14 @@ Format of an entry in interp.daase:
     ancestors            -- used to compute new category updates
   )
 \end{verbatim}
-\calls{interpOpen}{make-database}
-\calls{interpOpen}{DaaseName}
-\usesdollar{interpOpen}{spadroot}
-\uses{interpOpen}{*allconstructors*}
-\uses{interpOpen}{*interp-stream*}
-\uses{interpOpen}{*interp-stream-stamp*}
-\begin{chunk}{defun interpOpen}
-(defun interpOpen ()
+\calls{interpopen}{make-database}
+\calls{interpopen}{DaaseName}
+\usesdollar{interpopen}{spadroot}
+\uses{interpopen}{*allconstructors*}
+\uses{interpopen}{*interp-stream*}
+\uses{interpopen}{*interp-stream-stamp*}
+\begin{chunk}{defun interpopen}
+(defun interpopen ()
  "open the interpreter database and hash the keys"
  (declare (special $spadroot *allconstructors* *interp-stream*
                    *interp-stream-stamp*))
@@ -43300,7 +43310,7 @@ at that time. A {\tt NIL} result from this probe means that the
 library is in the system-specified place. When we get into multiple
 library locations this will also contain system files.
 
-\defun{browseOpen}{Open the browse database}
+\defun{browseopen}{Open the browse database}
 Format of an entry in browse.daase:
 \begin{verbatim}
  ( constructorname
@@ -43311,12 +43321,12 @@ Format of an entry in browse.daase:
      predicates
  )
 \end{verbatim}
-\usesdollar{browseOpen}{spadroot}
-\uses{browseOpen}{*allconstructors*}
-\uses{browseOpen}{*browse-stream*}
-\uses{browseOpen}{*browse-stream-stamp*}
-\begin{chunk}{defun browseOpen}
-(defun browseOpen ()
+\usesdollar{browseopen}{spadroot}
+\uses{browseopen}{*allconstructors*}
+\uses{browseopen}{*browse-stream*}
+\uses{browseopen}{*browse-stream-stamp*}
+\begin{chunk}{defun browseopen}
+(defun browseopen ()
  "open the constructor database and hash the keys"
  (declare (special $spadroot *allconstructors* *browse-stream*
                    *browse-stream-stamp*))
@@ -43331,7 +43341,7 @@ Format of an entry in browse.daase:
    (setq constructors (read *browse-stream*))
    (dolist (item constructors)
     (unless (setq dbstruct (get (car item) 'database))
-     (format t "browseOpen:~%")
+     (format t "browseopen:~%")
      (format t "the browse database contains a contructor ~a~%" item)
      (format t "that is not in the interp.daase file. we cannot~%")
      (format t "get the database structure for this constructor and~%")
@@ -43348,13 +43358,13 @@ Format of an entry in browse.daase:
 
 \end{chunk}
 
-\defun{categoryOpen}{Open the category database}
-\usesdollar{categoryOpen}{spadroot}
-\uses{categoryOpen}{*hasCategory-hash*}
-\uses{categoryOpen}{*category-stream*}
-\uses{categoryOpen}{*category-stream-stamp*}
-\begin{chunk}{defun categoryOpen}
-(defun categoryOpen ()
+\defun{categoryopen}{Open the category database}
+\usesdollar{categoryopen}{spadroot}
+\uses{categoryopen}{*hasCategory-hash*}
+\uses{categoryopen}{*category-stream*}
+\uses{categoryopen}{*category-stream-stamp*}
+\begin{chunk}{defun categoryopen}
+(defun categoryopen ()
  "open category.daase and hash the keys"
  (declare (special $spadroot *hasCategory-hash* *category-stream*
                    *category-stream-stamp*))
@@ -43374,13 +43384,13 @@ Format of an entry in browse.daase:
 
 \end{chunk}
 
-\defun{operationOpen}{Open the operations database}
-\usesdollar{operationOpen}{spadroot}
-\uses{operationOpen}{*operation-hash*}
-\uses{operationOpen}{*operation-stream*}
-\uses{operationOpen}{*operation-stream-stamp*}
-\begin{chunk}{defun operationOpen}
-(defun operationOpen ()
+\defun{operationopen}{Open the operations database}
+\usesdollar{operationopen}{spadroot}
+\uses{operationopen}{*operation-hash*}
+\uses{operationopen}{*operation-stream*}
+\uses{operationopen}{*operation-stream-stamp*}
+\begin{chunk}{defun operationopen}
+(defun operationopen ()
  "read operation database and hash the keys"
  (declare (special $spadroot *operation-hash* *operation-stream*
                    *operation-stream-stamp*))
@@ -43678,6 +43688,7 @@ Format of an entry in browse.daase:
 \defun{library}{The {\tt )library} top level command}
 \calls{library}{localdatabase}
 \calls{library}{extendLocalLibdb}
+\seebook{serverReadLine}{is-console}{9}
 \calls{library}{tersyscommand}
 \usesdollar{library}{newConlist}
 \usesdollar{library}{options}
@@ -43879,6 +43890,12 @@ For now in NRUNTIME do database update only if forced
 
 \end{chunk}
 
+\defvar{*sourcefiles*}
+\begin{chunk}{initvars}
+(defvar *sourcefiles* nil)
+
+\end{chunk}
+
 \defun{make-databases}{Make new databases}
 Making new databases consists of:
 \begin{enumerate}
@@ -43905,14 +43922,15 @@ to be written out last.
 
 The build-name-to-pamphlet-hash builds a hash table whose key->value is:
 \begin{itemize}
-\item abbreviation -> pamphlet file name
-\item abbreviation-line -> pamphlet file position
-\item constructor -> pamphlet file name
-\item constructor-line -> pamphlet file position
+\item abbreviation $->$ pamphlet file name
+\item abbreviation-line $->$ pamphlet file position
+\item constructor $->$ pamphlet file name
+\item constructor-line $->$ pamphlet file position
 \end{itemize}
 is the symbol of the constructor name and whose value is the name of
 the source file without any path information. We  hash the 
 constructor abbreviation to pamphlet file name.
+
 \calls{make-databases}{localdatabase}
 \calls{make-databases}{getEnv}
 \calls{make-databases}{browserAutoloadOnceTrigger}
@@ -44989,7 +45007,7 @@ found a bug related to this ambiguity so this was renamed.
 
 \end{chunk}
 
-;; --------------------> NEW DEFINITION (override in msgdb.boot.pamphlet)
+;; -------------------- NEW DEFINITION (override in msgdb.boot.pamphlet)
 \defun{brightprint}{brightprint}
 \calls{brightprint}{messageprint}
 \begin{chunk}{defun brightprint}
@@ -44998,7 +45016,7 @@ found a bug related to this ambiguity so this was renamed.
 
 \end{chunk}
  
-;; --------------------> NEW DEFINITION (override in msgdb.boot.pamphlet)
+;; -------------------- NEW DEFINITION (override in msgdb.boot.pamphlet)
 \defun{brightprint-0}{brightprint-0}
 \calls{brightprint-0}{messageprint-1}
 \begin{chunk}{defun brightprint-0}
@@ -45122,6 +45140,7 @@ semantics survive.
 This fixes bug 7217. The default title generation is bogus.
 This is called from the unparse function in InputForm, bookvol10.3
 Given a form, $u$, we try to recover the input line that created it.
+
 \defsdollar{unparseInputForm}{InteractiveMode}
 \defsdollar{unparseInputForm}{formatSigAsTex}
 \begin{chunk}{defun unparseInputForm}
@@ -45807,7 +45826,8 @@ This is a simpler interpface to RDEFIOSTREAM
 We look inside the Key domain given to Table and find if there is an
 equality predicate associated with the domain. If found then
 Table will use a HashTable representation, otherwise it will use
-an AssociationList representation
+an AssociationList representation.
+
 \calls{hashable}{knownEqualPred}
 \calls{hashable}{compiledLookup}
 \calls{hashable}{Boolean}
@@ -49521,7 +49541,7 @@ for example:
 
 \defun{monitor-tested}{Return a list of functions with non-zero counts}
 \calls{monitor-tested}{monitor-delete}
-\uses{monitor-tested}{*monitor-table*)}
+\uses{monitor-tested}{*monitor-table*}
 \begin{chunk}{defun monitor-tested 0}
 (defun monitor-tested (&optional delete)
  "return a list of functions with non-zero counts, optionally deleting them"
@@ -49765,8 +49785,9 @@ for example:
 
 \defun{monitor-readinterp}{Monitor exposed domains}
 \tpdhere{note that the file interp.exposed no longer exists.}
-The exposure information is now in bookvol5.
+The exposure information is now in this book.
 This needs to work off the internal exposure list, not the file.
+
 \catches{monitor-readinterp}{done}
 \throws{monitor-readinterp}{done}
 \uses{monitor-readinterp}{*monitor-domains*}
@@ -49922,7 +49943,7 @@ Most of the functions create a new page with a call to the function
 {\tt htMakePage}. This function takes an association list which has
 several possible keys.
 \begin{itemize}
-\item {\bf domainConditions} with tests such as (|isDomain| S (|String|))
+\item {\bf domainConditions} with tests such as (isDomain S (String))
 constraining the domains. The possible tests are
 \begin{itemize}
 \item {\bf isDomain}
@@ -49976,11 +49997,11 @@ title and a function to call when pressed.
 \calls{bcReadMatrix}{htpSetProperty}
 \calls{bcReadMatrix}{htMakePage}
 \calls{bcReadMatrix}{htShowPage}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]{\includegraphics[scale=1.0]{ps/v5bcreadmatrix.eps}}
 \end{minipage}
-\line(1,0){380}
+
 This routine is called from several places to enter a matrix.
 The argument {\bf bcReadMatrix} is the name of a function to call
 when the matrix has been entered. This value is set as an {\bf exitFunction}
@@ -50022,12 +50043,12 @@ in the page's association table.
 \calls{bcInputMatrixByFormula}{htpSetProperty}
 \calls{bcInputMatrixByFormula}{htShowPage}
 \usesdollar{bcInputMatrixByFormula}{bcParseOnly}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcinputmatrixbyformula.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcInputMatrixByFormulaGen} due to this line:
 \begin{verbatim}
@@ -50115,12 +50136,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcInputExplicitMatrix}{htShowPage}
 \usesdollar{bcInputExplicitMatrix}{EmptyMode}
 \usesdollar{bcInputExplicitMatrix}{bcParseOnly}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcinputexplicitmatrix.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcGenExplicitMatrix} due to this line:
 \begin{verbatim}
@@ -50245,12 +50266,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcIndefiniteIntegrate}{htMakePage}
 \calls{bcIndefiniteIntegrate}{htShowPage}
 \usesdollar{bcIndefiniteIntegrate}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcindefiniteintegrate.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcIndefiniteIntegrateGen} due to this line:
 \begin{verbatim}
@@ -50295,12 +50316,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDefiniteIntegrate}{htMakePage}
 \calls{bcDefiniteIntegrate}{htShowPage}
 \usesdollar{bcDefiniteIntegrate}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdefiniteintegrate.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDefiniteIntegrateGen} due to this line:
 \begin{verbatim}
@@ -50373,12 +50394,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcSum}{htMakePage}
 \calls{bcSum}{htShowPage}
 \usesdollar{bcSum}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcsum.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcSumGen} due to this line:
 \begin{verbatim}
@@ -50435,7 +50456,7 @@ Pressing the {\bf Continue} button will call the function
 %TPDHERE see buglist todo 331
 %\begin{minipage}{\linewidth}
 % \makebox[\linewidth]
-%  {\includegraphics[scale=1.0]{ps/v5bcproduct.eps}}
+%  {\includegraphics[scale=0.75]{ps/v5bcproduct.eps}}
 %\end{minipage}
 %Pressing the {\bf Continue} button will call the function
 %{\bf bcProductGen} due to this line:
@@ -50485,12 +50506,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDifferentiate}{htMakeDoneButton}
 \calls{bcDifferentiate}{htShowPage}
 \usesdollar{bcDifferentiate}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdifferentiate.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDifferentiateGen} due to this line:
 \begin{verbatim}
@@ -50561,12 +50582,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDraw}{htInitPage}
 \calls{bcDraw}{bcHt}
 \calls{bcDraw}{htShowPage}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdraw.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcDraw}
 (defun |bcDraw| ()
  (|htInitPage| "Draw Basic Command" NIL)
@@ -50596,12 +50617,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDraw2Dfun}{htMakePage}
 \calls{bcDraw2Dfun}{htShowPage}
 \usesdollar{bcDraw2Dfun}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdraw2dfun.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDraw2DfunGen} due to this line:
 \begin{verbatim}
@@ -50666,12 +50687,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDraw2Dpar}{htMakePage}
 \calls{bcDraw2Dpar}{htShowPage}
 \usesdollar{bcDraw2Dpar}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdraw2dpar.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDraw2DparGen} due to this line:
 \begin{verbatim}
@@ -50738,12 +50759,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDraw2DSolve}{htMakeDoneButton}
 \calls{bcDraw2DSolve}{htShowPage}
 \usesdollar{bcDraw2DSolve}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdraw2dsolve.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDraw2DSolveGen} due to this line:
 \begin{verbatim}
@@ -50813,12 +50834,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDraw3Dfun}{htMakePage}
 \calls{bcDraw3Dfun}{htShowPage}
 \usesdollar{bcDraw3Dfun}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdraw3dfun.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDraw3DfunGen} due to this line:
 \begin{verbatim}
@@ -50894,12 +50915,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDraw3Dpar}{htMakePage}
 \calls{bcDraw3Dpar}{htShowPage}
 \usesdollar{bcDraw3Dpar}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdraw3dpar.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDraw3DparGen} due to this line:
 \begin{verbatim}
@@ -50971,12 +50992,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcDraw3Dpar1}{htMakeDoneButton}
 \calls{bcDraw3Dpar1}{htShowPage}
 \usesdollar{bcDraw3Dpar1}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcdraw3dpar1.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcDraw3Dpar1Gen} due to this line:
 \begin{verbatim}
@@ -51061,12 +51082,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcSeries}{htMakePage}
 \calls{bcSeries}{htShowPage}
 \usesdollar{bcSeries}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcseries.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcSeries}
 (defun |bcSeries| ()
  (declare (special |$EmptyMode|))
@@ -51092,12 +51113,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcSeriesExpansion}{htMakeDoneButton}
 \calls{bcSeriesExpansion}{htShowPage}
 \usesdollar{bcSeriesExpansion}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcseriesexpansion.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcSeriesExpansionGen} due to this line:
 \begin{verbatim}
@@ -51153,12 +51174,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcSeriesByFormula}{htInitPage}
 \calls{bcSeriesByFormula}{htMakePage}
 \calls{bcSeriesByFormula}{htShowPage}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
-  {\includegraphics[scale=1.0]{ps/v5bcseriesbyformula.eps}}
+  {\includegraphics[scale=0.75]{ps/v5bcseriesbyformula.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcSeriesByFormula}
 (defun |bcSeriesByFormula| (a b)
  (declare (ignore a b))
@@ -51190,12 +51211,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcTaylorSeries}{htMakePage}
 \calls{bcTaylorSeries}{htShowPage}
 \usesdollar{bcTaylorSeries}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bctaylorseries.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcTaylorSeriesGen} due to this line:
 \begin{verbatim}
@@ -51256,12 +51277,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcLaurentSeries}{htMakePage}
 \calls{bcLaurentSeries}{htShowPage}
 \usesdollar{bcLaurentSeries}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
-  {\includegraphics[scale=1.0]{ps/v5bclaurentseries.eps}}
+  {\includegraphics[scale=0.8]{ps/v5bclaurentseries.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcLaurentSeriesGen} due to this line:
 \begin{verbatim}
@@ -51316,12 +51337,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcPuiseuxSeries}{htMakePage}
 \calls{bcPuiseuxSeries}{htShowPage}
 \usesdollar{bcPuiseuxSeries}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
-  {\includegraphics[scale=1.0]{ps/v5bcpuiseuxseries.eps}}
+  {\includegraphics[scale=0.75]{ps/v5bcpuiseuxseries.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcPuiseuxSeriesGen} due to this line:
 \begin{verbatim}
@@ -51420,12 +51441,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcLimit}{htMakePage}
 \calls{bcLimit}{htShowPage}
 \usesdollar{bcLimit}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
-  {\includegraphics[scale=1.0]{ps/v5bclimit.eps}}
+  {\includegraphics[scale=0.75]{ps/v5bclimit.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcLimit}
 (defun |bcLimit| ()
  (declare (special |$EmptyMode|))
@@ -51459,12 +51480,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcRealLimit}{htMakePage}
 \calls{bcRealLimit}{htShowPage}
 \usesdollar{bcRealLimit}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcreallimit.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcRealLimitGen} due to this line:
 \begin{verbatim}
@@ -51509,12 +51530,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcRealLimitGen}{htMakePage}
 \calls{bcRealLimitGen}{htpSetProperty}
 \calls{bcRealLimitGen}{htShowPage}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcreallimitgen.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcRealLimitGen}
 (defun |bcRealLimitGen| (htPage)
  (let (|p| |fun| |var| |loc| |page|)
@@ -51568,12 +51589,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcComplexLimit}{htMakePage}
 \calls{bcComplexLimit}{htShowPage}
 \usesdollar{bcComplexLimit}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bccomplexlimit.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcComplexLimitGen} due to this line:
 \begin{verbatim}
@@ -51665,12 +51686,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcSolve}{htMakePage}
 \calls{bcSolve}{htShowPage}
 \usesdollar{bcSolve}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcsolve.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcSolve}
 (defun |bcSolve| ()
  (|htInitPage| "Solve Basic Command" nil)
@@ -51698,12 +51719,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcLinearSolve}{htMakePage}
 \calls{bcLinearSolve}{htShowPage}
 \usesdollar{bcLinearSolve}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bclinearsolve.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcLinearSolve}
 (defun |bcLinearSolve| (p nn)
  (declare (ignore p nn))
@@ -51736,12 +51757,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcLinearSolveEqns}{htMakeDoneButton}
 \calls{bcLinearSolveEqns}{htShowPage}
 \usesdollar{bcLinearSolveEqns}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bclinearsolveeqns.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcLinearSolveEqns1} due to this line:
 \begin{verbatim}
@@ -51766,12 +51787,12 @@ Pressing the {\bf Continue} button will call the function
 \calls{bcSystemSolve}{htMakePage}
 \calls{bcSystemSolve}{htMakeDoneButton}
 \calls{bcSystemSolve}{htShowPage}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bcsystemsolve.eps}}
 \end{minipage}
-\line(1,0){380}
+
 Pressing the {\bf Continue} button will call the function
 {\bf bcSystemSolveEqns1} due to this line:
 \begin{verbatim}
@@ -52122,12 +52143,12 @@ after the matrix has been read.
 \calls{bcLinearSolveMatrix1}{htMakePage}
 \calls{bcLinearSolveMatrix1}{htShowPage}
 \usesdollar{bcLinearSolveMatrix1}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bclinearsolvematrix1.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcLinearSolveMatrix1}
 (defun |bcLinearSolveMatrix1| (htPage)
  (let (page)
@@ -52162,12 +52183,12 @@ after the matrix has been read.
 \calls{bcLinearSolveMatrixInhomo}{htMakePage}
 \calls{bcLinearSolveMatrixInhomo}{htShowPage}
 \usesdollar{bcLinearSolveMatrixInhomo}{EmptyMode}
-\line(1,0){380}
+
 \begin{minipage}{\linewidth}
  \makebox[\linewidth]
   {\includegraphics[scale=1.0]{ps/v5bclinearsolvematrixinhomo.eps}}
 \end{minipage}
-\line(1,0){380}
+
 \begin{chunk}{defun bcLinearSolveMatrixInhomo}
 (defun |bcLinearSolveMatrixInhomo| (htPage junk)
  (declare (ignore junk))
@@ -53152,14 +53173,14 @@ Given \verb|("one" "two" "three")| generate \verb|"(one,two,three)"|
                                    (cons '|button|
                                     (cons defaultValue nil)))))
                             (|iht| (cons
-                                                                         "\\item{\\em\\inputbox["
+                                      "\\item{\\em\\inputbox["
                                     (cons
                                      (|htpLabelDefault| |$curPage|
                                       buttonName)
                                      (cons "]{"
                                       (cons buttonName
                                        (cons
-                                                                    "}{\\htbmfile{pick}}{\\htbmfile{unpick}}\\space{}"
+                           "}{\\htbmfile{pick}}{\\htbmfile{unpick}}\\space{}"
                                         nil))))))
                             (|bcIssueHt| message)
                             (|iht| "\\space{}}")
@@ -53211,7 +53232,7 @@ Given \verb|("one" "two" "three")| generate \verb|"(one,two,three)"|
                                       (cons "]{"
                                        (cons buttonName
                                         (cons
-                                                                              "}{\\htbmfile{pick}}{\\htbmfile{unpick}}"
+                                     "}{\\htbmfile{pick}}{\\htbmfile{unpick}}"
                                          nil))))))))))))))))
 
 \end{chunk}
@@ -58525,7 +58546,6 @@ There are 8 parts of an htPage:
 \calls{dbShowConditions}{htSaySaturn}
 \calls{dbShowConditions}{bcConPredTable}
 \calls{dbShowConditions}{htSayHrule}
-\calls{dbShowConditions}{dbSayItems}
 \begin{chunk}{defun dbShowConditions}
 (defun |dbShowConditions| (htPage cAlist kind)
  (let (conform conname article whichever lt1 consNoPred consPred singular 
@@ -59630,12 +59650,12 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun brightprint}
 \getchunk{defun brightprint-0}
 \getchunk{defun browse}
-\getchunk{defun browseOpen}
+\getchunk{defun browseopen}
 \getchunk{defun buttonNames}
 
 \getchunk{defun cacheKeyedMsg}
 \getchunk{defun canFuncall?}
-\getchunk{defun categoryOpen}
+\getchunk{defun categoryopen}
 \getchunk{defun changeHistListLen}
 \getchunk{defun changeToNamedInterpreterFrame}
 \getchunk{defun charDigitVal}
@@ -60055,7 +60075,7 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun insertpile}
 \getchunk{defun InterpExecuteSpadSystemCommand}
 \getchunk{defun interpFunctionDepAlists}
-\getchunk{defun interpOpen}
+\getchunk{defun interpopen}
 \getchunk{defun interpret}
 \getchunk{defun interpret1}
 \getchunk{defun interpret2}
@@ -60485,7 +60505,7 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun om-supportsSymbol}
 \getchunk{defun openOutputLibrary}
 \getchunk{defun openserver}
-\getchunk{defun operationOpen}
+\getchunk{defun operationopen}
 \getchunk{defun optionError}
 \getchunk{defun optionUserLevelError}
 \getchunk{defun orderBySlotNumber}
diff --git a/changelog b/changelog
index 343e640..b1411b0 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141221 tpd src/axiom-website/patches.html 20141221.01.tpd.patch
+20141221 tpd books/bookvol5 resolve undefined references
 20141218 tpd src/axiom-website/patches.html 20141218.01.tpd.patch
 20141218 tpd books/bookvol5 make )quit unprotected by default
 20141217 tpd src/axiom-website/patches.html 20141217.02.tpd.patch
diff --git a/patch b/patch
index c7bfd24..124fad2 100644
--- a/patch
+++ b/patch
@@ -1 +1,3 @@
-books/bookvol5 make )quit unprotected by default
+books/bookvol5 resolve undefined references
+
+The cross references are missing for some functions and variables. 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 48e9e04..a079189 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4830,6 +4830,8 @@ books/bookvol5 inline structure accesses<br/>
 books/bookvol5 inline structure accesses for frames<br/>
 <a href="patches/20141218.01.tpd.patch">20141218.01.tpd.patch</a>
 books/bookvol5 make )quit unprotected by default<br/>
+<a href="patches/20141221.01.tpd.patch">20141221.01.tpd.patch</a>
+books/bookvol5 resolve undefined references<br/>
  </body>
 </html>
 
